### File

`packages/eui/packages/components-next/src/lib/components/eui-table/services/eui-table-selectable-row.service.ts`

### Index

###### Properties
Public isAllRowsSelected$ Public selectedRows$
###### Methods
Public addRow Public addRows Public addSelectedRow Public removeSelectedRow Public resetRows Public selectAllRows Public selectRows Public unselectAllRows

### Constructor

`constructor()`

### Methods

Public addRow
`addRow(row: any)`
Parameters :
Name | Type | Optional
row | `any` | No
Returns : `void`

Public addRows
`addRows(rows: any[])`
Parameters :
Name | Type | Optional
rows | `any[]` | No
Returns : `void`

Public addSelectedRow
`addSelectedRow(row: any)`
Parameters :
Name | Type | Optional
row | `any` | No
Returns : `void`

Public removeSelectedRow
`removeSelectedRow(row: any)`
Parameters :
Name | Type | Optional
row | `any` | No
Returns : `void`

Public resetRows
`resetRows()`
Returns : `void`

Public selectAllRows
`selectAllRows()`
Returns : `void`

Public selectRows
`selectRows(rows: any[])`
Parameters :
Name | Type | Optional
rows | `any[]` | No
Returns : `void`

Public unselectAllRows
`unselectAllRows()`
Returns : `void`

### Properties

Public isAllRowsSelected$
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject(false)`

Public selectedRows$
Type : `BehaviorSubject<any[]>`
Default value : `new BehaviorSubject([])`

# result-matching ""

# No results matching ""